package com.link.base.audittrail.service;

import com.link.base.audittrail.dao.mybatis.mapper.AuditTrailMapper;
import com.link.base.audittrail.model.AuditTrail;
import com.link.core.basic.dao.mapper.BasicMapper;
import com.link.core.basic.service.BasicServiceImpl;
import java.util.Iterator;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class AuditTrailServiceImpl extends BasicServiceImpl<AuditTrail> implements AuditTrailService {
   @Resource
   private AuditTrailMapper auditTrailMapper;

   public BasicMapper<AuditTrail> getBasicMapper() throws Exception {
      return this.auditTrailMapper;
   }

   public void insertAuditTrail(AuditTrail auditTrail) throws Exception {
      this.auditTrailMapper.insertAuditTrail(auditTrail);
   }

   public void batchInsertAuditTrail(List<AuditTrail> auditTrailList) throws Exception {
      if (auditTrailList.size() > 0) {
         Iterator var2 = auditTrailList.iterator();

         while(var2.hasNext()) {
            AuditTrail auditTrail = (AuditTrail)var2.next();
            auditTrail.setId(this.keyGenerateService.keyGenerate());
         }

         this.auditTrailMapper.batchInsertAuditTrail(auditTrailList);
      }

   }
}
